ChangeSet 1.1301, 2003/06/04 17:42:57-07:00, greg@kroah.com

[PATCH] PCI: finally remove pci_for_each_dev() now that all users of it are gone.


 include/linux/pci.h |    5 -----
 1 files changed, 5 deletions(-)


diff -Nru a/include/linux/pci.h b/include/linux/pci.h
--- a/include/linux/pci.h	Wed Jun  4 18:06:26 2003
+++ b/include/linux/pci.h	Wed Jun  4 18:06:26 2003
@@ -527,8 +527,6 @@
 	return !list_empty(&pci_devices);
 }
 
-#define pci_for_each_dev(dev) \
-	for(dev = pci_dev_g(pci_devices.next); dev != pci_dev_g(&pci_devices); dev = pci_dev_g(dev->global_list.next))
 #define pci_for_each_dev_reverse(dev) \
 	for(dev = pci_dev_g(pci_devices.prev); dev != pci_dev_g(&pci_devices); dev = pci_dev_g(dev->global_list.prev))
 #define pci_for_each_bus(bus) \
@@ -713,9 +711,6 @@
 static inline int pci_restore_state(struct pci_dev *dev, u32 *buffer) { return 0; }
 static inline int pci_set_power_state(struct pci_dev *dev, int state) { return 0; }
 static inline int pci_enable_wake(struct pci_dev *dev, u32 state, int enable) { return 0; }
-
-#define pci_for_each_dev(dev) \
-	for(dev = NULL; 0; )
 
 #define	isa_bridge	((struct pci_dev *)NULL)
 
